class SessionsController < ApplicationController
  def new
  end

  def create
    user = User.where(email: params[:user][:email]).first if params[:user]
    if user && params[:user] && user.authenticate(params[:user][:password])
      flash.clear
      session[:user_id] = user.id
      after_sign_in
    else
      flash[:error] = "Invalid email / password combination"
      render :new
    end
  end

  def destroy
    session[:user_id]
    flash[:success] = 'You have been logged out'
    redirect_to after_sign_out
  end
end
